Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class LocalFolderRepository

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
          edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
              edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository

All Implemented Interfaces:
  Repository

Direct Known Subclasses:
  ProtegeOWLPluginFolderRepository, RelativeFolderRepository

    public class LocalFolderRepository

extends AbstractLocalRepository

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 12, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `RECURSIVE_FLAG`

Constructor Summary
`LocalFolderRepository(File folder)`
`LocalFolderRepository(File folder, boolean forceReadOnly)`
`LocalFolderRepository(File folder, boolean forceReadOnly, boolean recursive)`

Method Summary
`String` | `getRepositoryDescription()` Gets a description of the type of the repository.
`String` | `getRepositoryDescriptor()` Gets the descriptor for this repository.
`void` | `refresh()` Causes the repository to contain the latest information.

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
`contains, getFile, getInputStream, getOntologies, getOntologyLocationDescription, getOutputStream, isForceReadOnly, isSystem, isWritable, processFile, putOntology, setForceReadOnly`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
`hasOutputStream, loadImportedAssertions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECURSIVE_FLAG

    public static final String RECURSIVE_FLAG

See Also:
  Constant Field Values

Constructor Detail

### LocalFolderRepository

    public LocalFolderRepository(File folder)

### LocalFolderRepository

    public LocalFolderRepository(File folder,
                                 boolean forceReadOnly)

### LocalFolderRepository

    public LocalFolderRepository(File folder,
                                 boolean forceReadOnly,
                                 boolean recursive)

Method Detail

### refresh

    public void refresh()

  Description copied from interface: `Repository`
  Causes the repository to contain the latest information.

  Specified by:
    `refresh` in interface `Repository`
  Overrides:
    `refresh` in class `AbstractLocalRepository`

### getRepositoryDescriptor

    public String getRepositoryDescriptor()

  Description copied from interface: `Repository`
  Gets the descriptor for this repository. This is used to serialise the repository in a list of the available repositories.

  Specified by:
    `getRepositoryDescriptor` in interface `Repository`
  Overrides:
    `getRepositoryDescriptor` in class `AbstractLocalRepository`

### getRepositoryDescription

    public String getRepositoryDescription()

  Description copied from interface: `Repository`
  Gets a description of the type of the repository. For example, "Local folder".

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.